## v4l2loopback 0.13.1

=== Makefile ===
ifneq ($(wildcard .gitversion),)
# building a snapshot version
V4L2LOOPBACK_SNAPSHOT_VERSION=$(patsubst v%,%,$(shell git describe --always --dirty 2>/dev/null || shell git describe --always 2>/dev/null || echo snapshot))
override KCPPFLAGS += -DSNAPSHOT_VERSION='"$(V4L2LOOPBACK_SNAPSHOT_VERSION)"'
endif

include Kbuild
ifeq ($(KBUILD_MODULES),)

KERNELRELEASE	?= `uname -r`
KERNEL_DIR	?= /lib/modules/$(KERNELRELEASE)/build
PWD		:= $(shell pwd)

PREFIX ?= /usr/local
BINDIR  = $(PREFIX)/bin
INCLUDEDIR = $(PREFIX)/include
MANDIR  = $(PREFIX)/share/man
MAN1DIR = $(MANDIR)/man1
INSTALL = install
INSTALL_PROGRAM = $(INSTALL) -p -m 755
INSTALL_DIR     = $(INSTALL) -p -m 755 -d
INSTALL_DATA    = $(INSTALL) -m 644

MODULE_OPTIONS = devices=2

##########################################
# note on build targets
#
# module-assistant makes some assumptions about targets, namely
#  <modulename>: must be present and build the module <modulename>
#                <modulename>.ko is not enough
# install: must be present (and should only install the module)
#
# we therefore make <modulename> a .PHONY alias to <modulename>.ko
# and remove utils-installation from 'install'
# call 'make install-all' if you want to install everything
##########################################


.PHONY: all install clean distclean
.PHONY: install-all install-extra install-utils install-man install-headers
.PHONY: modprobe v4l2loopback

# we don't control the .ko file dependencies, as it is done by kernel
# makefiles. therefore v4l2loopback.ko is a phony target actually
.PHONY: v4l2loopback.ko utils

all: v4l2loopback.ko utils

v4l2loopback: v4l2loopback.ko
v4l2loopback.ko:
	@echo "Building v4l2-loopback driver..."
	$(MAKE) -C $(KERNEL_DIR) M=$(PWD) KCPPFLAGS="$(KCPPFLAGS)" modules

install-all: install install-extra
install:
	$(MAKE) -C $(KERNEL_DIR) M=$(PWD) modules_install
	@echo ""
	@echo "SUCCESS (if you got 'SSL errors' above, you can safely ignore them)"
	@echo ""

install-extra: install-utils install-man install-headers
install-utils: utils/v4l2loopback-ctl
	$(INSTALL_DIR) "$(DESTDIR)$(BINDIR)"
	$(INSTALL_PROGRAM) $< "$(DESTDIR)$(BINDIR)"

install-man: man/v4l2loopback-ctl.1
	$(INSTALL_DIR) "$(DESTDIR)$(MAN1DIR)"
	$(INSTALL_DATA) $< "$(DESTDIR)$(MAN1DIR)"

install-headers: v4l2loopback.h
	$(INSTALL_DIR) "$(DESTDIR)$(INCLUDEDIR)/linux"
	$(INSTALL_DATA) $< "$(DESTDIR)$(INCLUDEDIR)/linux"

clean:
	rm -f *~
	rm -f Module.symvers Module.markers modules.order
	$(MAKE) -C $(KERNEL_DIR) M=$(PWD) clean
	$(MAKE) -C utils clean

distclean: clean
	rm -f man/v4l2loopback-ctl.1

modprobe: v4l2loopback.ko
	-sudo chmod a+r $<
	-sudo modprobe videodev
	-sudo rmmod $<
	sudo insmod ./$< $(MODULE_OPTIONS)

man/v4l2loopback-ctl.1: utils/v4l2loopback-ctl
	help2man -N --name "control v4l2 loopback devices" \
		--no-discard-stderr --help-option=-h --version-option=-v \
		$^ > $@

utils: utils/v4l2loopback-ctl
utils/v4l2loopback-ctl: utils/v4l2loopback-ctl.c v4l2loopback.h
	$(MAKE) -C utils V4L2LOOPBACK_SNAPSHOT_VERSION=$(V4L2LOOPBACK_SNAPSHOT_VERSION)

.clang-format:
	curl "https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/plain/.clang-format" > $@

.PHONY: clang-format
clang-format: .clang-format
	clang-format -i *.c *.h utils/*.c

.PHONY: sign
# try to read the default certificate/key from the dkms config
dkms_framework=/etc/dkms/framework.conf
-include $(dkms_framework)
KBUILD_SIGN_KEY=$(mok_signing_key)
KBUILD_SIGN_CERT=$(mok_certificate)

ifeq ($(KBUILD_SIGN_PIN),)
define usage_kbuildsignpin
$(info )
$(info ++++++ If your certificate requires a password, pass it via the KBUILD_SIGN_PIN env-var!)
$(info ++++++ E.g. using 'export KBUILD_SIGN_PIN; read -s -p "Passphrase for signing key $(KBUILD_SIGN_KEY): " KBUILD_SIGN_PIN; sudo --preserve-env=KBUILD_SIGN_PIN make sign')
$(info )
endef
endif

define usage_kbuildsign
sign: v4l2loopback.ko
	$(info )
	$(info ++++++ To sign the $< module, you must set KBUILD_SIGN_KEY/KBUILD_SIGN_CERT to point to the signing key/certificate!)
	$(info ++++++ For your convenience, we try to read these variables as 'mok_signing_key' resp. 'mok_certificate' from $(dkms_framework))
	$(call usage_kbuildsignpin)
endef

ifeq ($(wildcard $(KBUILD_SIGN_KEY)),)
$(call usage_kbuildsign)
else ifeq ($(wildcard $(KBUILD_SIGN_CERT)),)
$(call usage_kbuildsign)
else
sign: v4l2loopback.ko
	$(call usage_kbuildsignpin)
	"$(KERNEL_DIR)"/scripts/sign-file sha256 $(KBUILD_SIGN_KEY) $(KBUILD_SIGN_CERT) $<
endif

endif # !kbuild

=== debian/changelog ===
v4l2loopback (0.13.1-1~mx21ahs) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 08 May 2024 10:37:01 -0700

v4l2loopback (0.13.1-1) unstable; urgency=medium

  * New upstream version 0.13.1
    + Drop patches applied upstream
  * v4l2loopback-utils is now arch:any
  * Add fallback manpage (if help2man cannot be executed while cross-building)
  * Add patch to fix 'clean' target
  * Build tarball for v4l2loopback-source in 'build' target
  * Modernize autopkgtests
  * Update copyright information
    + Bump copyright dates
    + Add 'licensecheck' target
    + Re-generate d/copyright_hints
  * Apply 'wrap-and-sort -ast'
  * Bump debhelper-version to 13 for control-modules
  * Bump standards version to 4.6.2
    + Also for control.modules

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 20 Mar 2024 10:08:55 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

export DEB_SOURCE
export DEB_VERSION_UPSTREAM

moddir=_build/modules/$(DEB_SOURCE)

%:
	dh $@

override_dh_installman:
	mkdir -p man
	cp debian/v4l2loopback-ctl.1 man
	-help2man -N --name "control v4l2 loopback devices" -o man/v4l2loopback-ctl.1 --no-discard-stderr utils/v4l2loopback-ctl
	dh_installman

override_dh_auto_build-arch:
	dh_auto_build --arch -- \
		-C utils
override_dh_auto_build-indep:
	mkdir -p $(moddir)/debian
	cp Makefile Kbuild *.[chS] $(moddir)
	cp README.md NEWS AUTHORS ChangeLog TODO $(moddir)
	cp debian/rules.modules $(moddir)/debian/rules
	for file in control.modules.in control copyright changelog docs; do \
		cp debian/$$file $(moddir)/debian/; \
	done
	tar cjf _build/$(DEB_SOURCE).tar.bz2 \
		--owner=root --group=src --mode=go=rX,u+rw,a-s --numeric-owner \
		--sort=name  --mtime="@$(SOURCE_DATE_EPOCH)" \
		-C _build \
		modules

override_dh_auto_install override_dh_auto_clean:

override_dh_dkms:
	dh_dkms -p$(DEB_SOURCE)-dkms -V $(DEB_VERSION_UPSTREAM)

# No dbgsym packages:
override_dh_strip:
	@echo "not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym

DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
        debian/.*
# licensecheck v1
.PHONY: licensecheck
licensecheck:
	LANG=C.UTF-8 licensecheck \
		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
		--check '.*' --recursive --deb-machine --lines 0 * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/tests/control ===
Test-Command: env BUILD_EXCLUSIVE_CONFIG="CONFIG_VIDEO_DEV" /usr/share/modass/module-assistant-autopkgtest v4l2loopback
Features: test-name=m-a-autopkgtest
Architecture: amd64 arm64
Depends: linux-doc, module-assistant-autopkgtest, v4l2loopback-source
Restrictions:
 allow-stderr,
 breaks-testbed,
 needs-root,
 superficial,

## v4l2loopback 0.13.2

=== Makefile ===
--- 
+++ 
@@ -76,7 +76,7 @@
 	rm -f *~
 	rm -f Module.symvers Module.markers modules.order
 	$(MAKE) -C $(KERNEL_DIR) M=$(PWD) clean
-	$(MAKE) -C utils clean
+	-$(MAKE) -C utils clean
 
 distclean: clean
 	rm -f man/v4l2loopback-ctl.1

=== debian/changelog ===
v4l2loopback (0.13.2-1ubuntu1) oracular; urgency=medium

  * Merge from Debian (LP: #2078947), remaining changes:
    - v4l2loopback: backward compatibility for v4l2-relayd

 -- You-Sheng Yang <vicamo.yano@canonical.com>  Mon, 02 Sep 2024 18:26:32 +0800

v4l2loopback (0.13.2-1) unstable; urgency=medium

  * New upstream version 0.13.2 (Closes: #1071037)
    + Drop patches applied ustream
  * Update copyright information
    + Re-generate d/copyright_hints
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 24 May 2024 12:58:14 +0200

v4l2loopback (0.12.7-2ubuntu5) noble; urgency=medium

  * Support Linux 6.8 (LP: #2052801):
    - debian/patches/0008-handle-strlcpy.patch

 -- Andrea Righi <andrea.righi@canonical.com>  Fri, 09 Feb 2024 14:25:38 +0000

v4l2loopback (0.12.7-2ubuntu4) mantic; urgency=medium

  * Fix wrong income frame length. (LP: #2025204)
    - v4l2loopback: Fixup bytesused field when writer sends a too large value

 -- You-Sheng Yang <vicamo.yano@canonical.com>  Wed, 05 Jul 2023 14:05:05 +0200

v4l2loopback (0.12.7-2ubuntu3) lunar; urgency=medium

  * Revert to 0.12.7-2ubuntu1, as dkms that unconditionaly exports CC has
    been reverted. Otherwise, currently src:linux FTBFS when trying to
    vendor in this module. LP: #2015279

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 04 Apr 2023 17:41:18 +0100

=== debian/control ===
Source: v4l2loopback
Section: kernel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 help2man <!cross>,
Build-Depends-Indep:
 bzip2,
 dh-sequence-dkms,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/umlaeute/v4l2loopback
Vcs-Git: https://salsa.debian.org/debian/v4l2loopback.git
Vcs-Browser: https://salsa.debian.org/debian/v4l2loopback
Testsuite: autopkgtest-pkg-dkms

Package: v4l2loopback-source
Architecture: all
Depends:
 bzip2,
 debhelper,
 make,
 ${misc:Depends},
Recommends:
 module-assistant,
Description: Source for the v4l2loopback driver
 This module allows you to create "virtual video devices".
 Normal (v4l2) applications will read these devices as if they were ordinary
 video devices, but the video will not be read from e.g. a capture card but
 instead it is generated by another application.
 .
 This package provides the source code for the v4l2loopback kernel modules.

Package: v4l2loopback-dkms
Architecture: all
Depends:
 ${misc:Depends},
Suggests:
 v4l2loopback-utils,
Description: Source for the v4l2loopback driver (DKMS)
 This module allows you to create "virtual video devices".
 Normal (v4l2) applications will read these devices as if they were ordinary
 video devices, but the video will not be read from e.g. a capture card but
 instead it is generated by another application.
 .
 This package provides the source code for the v4l2loopback kernel modules
 to be built with dkms.

Package: v4l2loopback-utils
Section: graphics
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 gstreamer1.0-tools,
 sudo,
 v4l-utils,
 v4l2loopback-dkms | v4l2loopback-modules,
Description: Commandline utilities for the for the v4l2-loopback module
 This package contains applications to interact with v4l2-loopback devices
 ("virtual video devices").
 Currently there is only a single command line utility:
 .
 v4l2loopback-ctl: tool to set framerate, format and timeout image

=== debian/tests/control ===
Test-Command: env BUILD_EXCLUSIVE_CONFIG="CONFIG_VIDEO_DEV" /usr/share/modass/module-assistant-autopkgtest v4l2loopback
Features: test-name=m-a-autopkgtest
Architecture: amd64 arm64
Depends:
 linux-doc,
 module-assistant-autopkgtest,
 v4l2loopback-source,
Restrictions:
 allow-stderr,
 breaks-testbed,
 needs-root,
 superficial,

## v4l2loopback 0.14.0

=== debian/changelog ===
v4l2loopback (0.14.0-1) unstable; urgency=medium

  * New upstream version 0.14.0
    + Refresh patches

  [ Andreas Beckmann ]
  * dkms.conf: Fix CLEAN command.
  * dkms.conf: Declare BUILD_EXCLUSIVE_KERNEL_MIN="4.4" for availability of
    V4L2_COLORSPACE_DCI_P3.
  * v4l2loopback-source: Promote module-assistant to Depends.

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Install udev-rules
  * Forward dkms.conf patch to upstream
  * Update copyright information
    + Bump copyright dates
    + Add 'licensecheck' target
    + Re-generate d/copyright_hints
  * Apply 'wrap-and-sort -ast'
  * Bump d/watch version to 4
  * Bump standards version to 4.7.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 14 Mar 2025 20:54:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: v4l2loopback
 Section: kernel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
+Maintainer: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  help2man <!cross>,
 Build-Depends-Indep:
+ dh-sequence-dkms,
  bzip2,
- dh-sequence-dkms,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/umlaeute/v4l2loopback
 Vcs-Git: https://salsa.debian.org/debian/v4l2loopback.git
@@ -19,12 +18,11 @@
 Package: v4l2loopback-source
 Architecture: all
 Depends:
+ debhelper,
  bzip2,
- debhelper,
  make,
+ module-assistant,
  ${misc:Depends},
-Recommends:
- module-assistant,
 Description: Source for the v4l2loopback driver
  This module allows you to create "virtual video devices".
  Normal (v4l2) applications will read these devices as if they were ordinary

## v4l2loopback 0.15.0

=== Makefile ===
--- 
+++ 
@@ -105,10 +105,9 @@
 
 .PHONY: sign
 # try to read the default certificate/key from the dkms config
-dkms_framework=/etc/dkms/framework.conf
--include $(dkms_framework)
-KBUILD_SIGN_KEY=$(mok_signing_key)
-KBUILD_SIGN_CERT=$(mok_certificate)
+dkms_framework=/etc/dkms/framework.conf /etc/dkms/framework.conf.d/*.conf
+KBUILD_SIGN_KEY=$(patsubst mok_signing_key=%,%,$(lastword $(shell grep -h -E "^[[:space:]]*mok_signing_key=" $(dkms_framework))))
+KBUILD_SIGN_CERT=$(patsubst mok_certificate=%,%,$(lastword $(shell grep -h -E "^[[:space:]]*mok_certificate=" $(dkms_framework))))
 
 ifeq ($(KBUILD_SIGN_PIN),)
 define usage_kbuildsignpin

=== utils/Makefile ===
CPPFLAGS += -I..
ifneq ($(V4L2LOOPBACK_SNAPSHOT_VERSION),)
CPPFLAGS += -DSNAPSHOT_VERSION='"$(V4L2LOOPBACK_SNAPSHOT_VERSION)"'
endif

prefix?=/usr
exec_prefix = ${prefix}
bindir = ${exec_prefix}/bin
INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
MKDIR_P = /usr/bin/mkdir -p

.PHONY: default clean

programs = v4l2loopback-ctl

default: $(programs)

clean:
	-rm $(programs)
	-rm $(programs:%=%.o)

install:
	$(MKDIR_P) $(DESTDIR)$(bindir)
	$(INSTALL_PROGRAM) $(programs) $(DESTDIR)$(bindir)

v4l2loopback-ctl.o: v4l2loopback-ctl.c ../v4l2loopback.h
v4l2loopback-ctl: v4l2loopback-ctl.o

=== debian/changelog ===
v4l2loopback (0.15.0-0ubuntu2) questing; urgency=medium

  * Failed to build against linux-6.16 (LP: #2114259)
    - 0002-Drop-from_timer-macro-usage.patch

 -- You-Sheng Yang <vicamo@gmail.com>  Mon, 16 Jun 2025 12:12:19 +0800

v4l2loopback (0.15.0-0ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - v4l2loopback: backward compatibility for v4l2-relayd
  * New upstream release
    - drop dkms.conf.patch, upstream

 -- Ubuntu Merge-o-Matic <mom@ubuntu.com>  Sat, 15 Mar 2025 05:29:30 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: v4l2loopback
 Section: kernel
 Priority: optional
-Maintainer: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  help2man <!cross>,

=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Test-Command: env BUILD_EXCLUSIVE_CONFIG="CONFIG_VIDEO_DEV" /usr/share/modass/module-assistant-autopkgtest v4l2loopback
-Features: test-name=m-a-autopkgtest
+Features:
+ test-name=m-a-autopkgtest,
 Architecture: amd64 arm64
 Depends:
  linux-doc,

## v4l2loopback 0.15.1

=== debian/changelog ===
v4l2loopback (0.15.1-1~mx25ahs) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 02 Sep 2025 13:15:23 -0700

v4l2loopback (0.15.1-1) unstable; urgency=medium

  * New upstream version 0.15.1
    (Closes: #1108287)
  * Include <linux/timer.h> for the "timer_setup" macro.
    Thanks to Simon Richter <sjr@debian.org> (Closes: #1108287)
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 19 Aug 2025 22:48:42 +0200

v4l2loopback (0.15.0-3) unstable; urgency=medium

  * Team Upload
  * Trim old instructions from d/README.source:
    package does not use CDBS anymore

 -- Alexandre Detiste <tchet@debian.org>  Sun, 17 Aug 2025 20:53:39 +0200

v4l2loopback (0.15.0-2) unstable; urgency=medium

  * v4l2loopback-utils requires a newer version of v4l2loopback-dkms
    (not the other way round)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 05 Jun 2025 10:06:46 +0200

v4l2loopback (0.15.0-1) unstable; urgency=medium

  * New upstream version 0.15.0 (Closes: #1106246, #1100860)
    * Drop patches applied upstream
  * dkms: Ensure a recent enough version of v4l2loopback-utils

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 05 Jun 2025 09:55:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,10 @@
 Source: v4l2loopback
 Section: kernel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
-Build-Depends:
- debhelper-compat (= 13),
- help2man <!cross>,
-Build-Depends-Indep:
- dh-sequence-dkms,
- bzip2,
+Build-Depends: debhelper-compat (= 13), help2man <!cross>
+Build-Depends-Indep: bzip2, dh-sequence-dkms
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/umlaeute/v4l2loopback
@@ -18,12 +14,7 @@
 
 Package: v4l2loopback-source
 Architecture: all
-Depends:
- debhelper,
- bzip2,
- make,
- module-assistant,
- ${misc:Depends},
+Depends: bzip2, debhelper, make, module-assistant, ${misc:Depends}
 Description: Source for the v4l2loopback driver
  This module allows you to create "virtual video devices".
  Normal (v4l2) applications will read these devices as if they were ordinary
@@ -34,10 +25,8 @@
 
 Package: v4l2loopback-dkms
 Architecture: all
-Depends:
- ${misc:Depends},
-Suggests:
- v4l2loopback-utils,
+Depends: ${misc:Depends}
+Suggests: v4l2loopback-utils
 Description: Source for the v4l2loopback driver (DKMS)
  This module allows you to create "virtual video devices".
  Normal (v4l2) applications will read these devices as if they were ordinary
@@ -50,14 +39,12 @@
 Package: v4l2loopback-utils
 Section: graphics
 Architecture: any
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
-Recommends:
- gstreamer1.0-tools,
- sudo,
- v4l-utils,
- v4l2loopback-dkms | v4l2loopback-modules,
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: gstreamer1.0-tools,
+            sudo,
+            v4l-utils,
+            v4l2loopback-dkms | v4l2loopback-modules
+Breaks: v4l2loopback-dkms (<< 0.15~)
 Description: Commandline utilities for the for the v4l2-loopback module
  This package contains applications to interact with v4l2-loopback devices
  ("virtual video devices").

=== debian/rules ===
--- 
+++ 
@@ -43,7 +43,7 @@
 
 # No dbgsym packages:
 override_dh_strip:
-	@echo "not building dbgsym packages for MX Linux"
+	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
 	dh_strip --no-automatic-dbgsym
 
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \

## v4l2loopback 0.15.2

=== examples/Makefile ===
TARGETS=test yuv4mpeg_to_v4l2 ondemandcam yuv420_infiniteloop

.PHONY: all clean

all: $(TARGETS)

ondemandcam: ondemandcam.c
	gcc -o ondemandcam ondemandcam.c -lrt -lpthread

clean:
	-rm $(TARGETS)

=== debian/changelog ===
v4l2loopback (0.15.2-1) unstable; urgency=medium

  * New upstream version 0.15.2 (Closes: #1118164)
    + Drop obsolete patches
  * Drop obsolete Rules-Requires-Root stanza.
  * Update d/watch to version 5

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 15 Oct 2025 20:09:48 +0200

=== debian/control ===
Source: v4l2loopback
Section: kernel
Priority: optional
Maintainer: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 help2man <!cross>,
Build-Depends-Indep:
 dh-sequence-dkms,
 bzip2,
Standards-Version: 4.7.2
Homepage: https://github.com/umlaeute/v4l2loopback
Vcs-Git: https://salsa.debian.org/debian/v4l2loopback.git
Vcs-Browser: https://salsa.debian.org/debian/v4l2loopback
Testsuite: autopkgtest-pkg-dkms

Package: v4l2loopback-source
Architecture: all
Depends:
 debhelper,
 bzip2,
 make,
 module-assistant,
 ${misc:Depends},
Description: Source for the v4l2loopback driver
 This module allows you to create "virtual video devices".
 Normal (v4l2) applications will read these devices as if they were ordinary
 video devices, but the video will not be read from e.g. a capture card but
 instead it is generated by another application.
 .
 This package provides the source code for the v4l2loopback kernel modules.

Package: v4l2loopback-dkms
Architecture: all
Depends:
 ${misc:Depends},
Suggests:
 v4l2loopback-utils,
Description: Source for the v4l2loopback driver (DKMS)
 This module allows you to create "virtual video devices".
 Normal (v4l2) applications will read these devices as if they were ordinary
 video devices, but the video will not be read from e.g. a capture card but
 instead it is generated by another application.
 .
 This package provides the source code for the v4l2loopback kernel modules
 to be built with dkms.

Package: v4l2loopback-utils
Section: graphics
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 gstreamer1.0-tools,
 sudo,
 v4l-utils,
 v4l2loopback-dkms | v4l2loopback-modules,
Breaks:
 v4l2loopback-dkms (<< 0.15~),
Description: Commandline utilities for the for the v4l2-loopback module
 This package contains applications to interact with v4l2-loopback devices
 ("virtual video devices").
 Currently there is only a single command line utility:
 .
 v4l2loopback-ctl: tool to set framerate, format and timeout image

=== debian/rules ===
--- 
+++ 
@@ -41,10 +41,6 @@
 override_dh_dkms:
 	dh_dkms -p$(DEB_SOURCE)-dkms -V $(DEB_VERSION_UPSTREAM)
 
-# No dbgsym packages:
-override_dh_strip:
-	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
-	dh_strip --no-automatic-dbgsym
 
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
         debian/.*

=== debian/watch ===
Version: 5

# process this file with uscan(1)
Template: Github
Dversionmangle: auto
Owner: umlaeute
Project: v4l2loopback

## v4l2loopback 0.15.3

=== debian/changelog ===
v4l2loopback (0.15.3-1ubuntu2) resolute; urgency=medium

  * Add fix-buffer-queue-management.patch to comply with V4L2 spec (LP:
    #2114127)

 -- Shih-Yuan Lee (FourDollars) <fourdollars@debian.org>  Tue, 20 Jan 2026 04:04:05 +0000

v4l2loopback (0.15.3-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - v4l2loopback: backward compatibility for v4l2-relayd
  * New upstream release (Closes: #2130335)
    - drop already applied 0002-Drop-from_timer-macro-usage.patch

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 09 Dec 2025 14:29:06 +0800

v4l2loopback (0.15.3-1) unstable; urgency=medium

  * New upstream version 0.15.3
  * Update upstream homepage/repository

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 08 Dec 2025 16:19:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: v4l2loopback
 Section: kernel
 Priority: optional
-Maintainer: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  help2man <!cross>,
@@ -9,7 +10,7 @@
  dh-sequence-dkms,
  bzip2,
 Standards-Version: 4.7.2
-Homepage: https://github.com/umlaeute/v4l2loopback
+Homepage: https://github.com/v4l2loopback/v4l2loopback
 Vcs-Git: https://salsa.debian.org/debian/v4l2loopback.git
 Vcs-Browser: https://salsa.debian.org/debian/v4l2loopback
 Testsuite: autopkgtest-pkg-dkms
